from flask import Flask
from flask_sqlalchemy import SQLAlchemy

from management.data.data_dev import init_development_data
from management.data.data_prod import init_prod_data


def init_data(app: Flask, db: SQLAlchemy, env=None):
    env = env
    if env == 'prod':
        init_prod_data(db=db, app=app)
    else:
        init_development_data(db=db, app=app)
